Download it now!
Bug 120784 - KDE5: Numpad Enter key doesn't work
Summary: KDE5: Numpad Enter key doesn't work
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.2.0
Keywords:
Depends on:
Blocks: KDE
  Show dependency treegraph
 
Reported: 2018-10-22 11:26 UTC by Xisco Faulí
Modified: 2018-12-21 12:23 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2018-10-22 11:26:51 UTC
Steps to reproduce:
1. Open any LibreOffice component
2. put the cursor on the document
3. use the right enter key -> Green one -> https://upload.wikimedia.org/wikipedia/commons/a/a5/Enter.png

-> Nothing happens

reproduce it in

Version: 6.2.0.0.alpha0+
Build ID: 3846561f79cf9065abd9ca83c9fbfbe7e52e28e2
CPU threads: 1; OS: Linux 4.13; UI render: default; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time:
2018-10-21_02:45:54
Locale: en-US (en_US.UTF-8); Calc: threaded

but not in

Version: 6.2.0.0.alpha0+
Build ID: 3846561f79cf9065abd9ca83c9fbfbe7e52e28e2
CPU threads: 1; OS: Linux 4.13; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time:
2018-10-21_02:45:54
Locale: en-US (en_US.UTF-8); Calc: threaded
Comment 1 Vera Blagoveschenskaya 2018-10-22 14:33:36 UTC
Confirmed from my side

Version: 6.2.0.0.alpha1
Build ID: ff46ad24d1d3cbcea45895520483ed1fd4ff488b
CPU threads: 1; OS: Linux 4.14; UI render: default; VCL: kde5; 
Locale: ru-RU (ru_RU.UTF-8); Calc: threaded
Comment 2 Commit Notification 2018-11-08 17:05:08 UTC
Aleksei Nikiforov committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/f0effa0e891d2bb64df6c5c70088938774db1f76%5E%21

tdf#120784 KDE5: Process "Enter" key from numpad like normal "Enter" key

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Xisco Faulí 2018-12-21 12:23:09 UTC
Verified in

Version: 6.2.0.1
Build ID: 0412ee99e862f384c1106d0841a950c4cfaa9df1
CPU threads: 1; OS: Linux 4.15; UI render: default; VCL: kde5; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded